package sharin.doc.builder.xhtml1;

public class OptionElem extends GenericCommonElem<OptionElem> {

    public OptionElem(Object... nodes) {
        super("option", nodes);
    }

    public OptionElem disabled(boolean disabled) {
        return disabled ? disabled("disabled") : this;
    }

    public OptionElem disabled(Object value) {
        return attr("disabled", value);
    }

    public OptionElem label(Object value) {
        return attr("label", value);
    }

    public OptionElem selected(boolean selected) {
        return selected ? selected("selected") : this;
    }

    public OptionElem selected(Object value) {
        return attr("selected", value);
    }

    public OptionElem value(Object value) {
        return attr("value", value);
    }
}
